package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformQwPlanVideo;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformQwPlanVideoExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContentPlatformQwPlanVideoMapper {
    long countByExample(ContentPlatformQwPlanVideoExample example);

    int deleteByExample(ContentPlatformQwPlanVideoExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContentPlatformQwPlanVideo record);

    int insertSelective(ContentPlatformQwPlanVideo record);

    List<ContentPlatformQwPlanVideo> selectByExample(ContentPlatformQwPlanVideoExample example);

    ContentPlatformQwPlanVideo selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContentPlatformQwPlanVideo record, @Param("example") ContentPlatformQwPlanVideoExample example);

    int updateByExample(@Param("record") ContentPlatformQwPlanVideo record, @Param("example") ContentPlatformQwPlanVideoExample example);

    int updateByPrimaryKeySelective(ContentPlatformQwPlanVideo record);

    int updateByPrimaryKey(ContentPlatformQwPlanVideo record);
}